## apt-cross 0.1.0

=== Makefile ===
all:

install:

clean:
	$(RM) *tar.gz.cdbs-config_list

check:

## apt-cross 0.0.5

=== debian/changelog ===
apt-cross (0.0.5) unstable; urgency=low

  * Fix bug in dependency tracking that sent required output
  to /dev/null.
  * Remove temporary archive(s) after successful installation. 

 -- Neil Williams <codehelp@debian.org>  Mon, 11 Dec 2006 20:41:22 +0000

apt-cross (0.0.4) unstable; urgency=low

  * Check for empty $mirror to prevent empty additions to sources.$suite
  * Check for the same package and version already installed with dpkg-cross
  * Add README.
  * Initial Debian release (Closes: #397065)
  * Add support for dependencies when installing.
  * Change -s and -l output to be more like apt rather than dpkg.
  * Drop the -L option and rename --status to --show.

 -- Neil Williams <codehelp@debian.org>  Sun, 26 Nov 2006 16:52:02 +0000

apt-cross (0.0.3) unstable; urgency=low

  * 0.0.3 version of apt-cross - interim svn package.
  * ensure manpage is packaged and installed
  * fix option handling and mirror updates
  * revised manpage and XML source

 -- Neil Williams <codehelp@debian.org>  Fri, 10 Nov 2006 23:34:27 +0000

apt-cross (0.0.2) unstable; urgency=low

  * Interim version during testing. 
  * specify the new location in emdebian svn.
  * expand long description
  * include the newly created ITP number
  * add dependency for LWP::Simple (libwww-perl)
  * fix missing subroutine, improving argument checks
  * fix multiple command handling, update man page, move to 0.0.2

 -- Neil Williams <codehelp@debian.org>  Tue,  7 Nov 2006 20:00:37 +0000

apt-cross (0.0.1) unstable; urgency=low

  * Interim version during testing. 

 -- Neil Williams <codehelp@debian.org>  Tue, 31 Oct 2006 17:05:34 +0000

=== debian/control ===
Source: apt-cross
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.7.2

Package: apt-cross
Architecture: all
Depends: apt, dpkg-cross, fakeroot, dpkg-dev (>= 1.13.9), binutils,
 libfile-homedir-perl, libwww-perl, sudo
Description: retrieve, build and install libraries for cross-compiling
 apt-cross is intended to make it easier to locate, download, install and
 update your cross-compiling libraries, directly from the Debian archives.
 .
 By default, apt-cross uses /etc/apt/sources.list to find the current debian
 package file for the architecture specified (default is arm) and in 
 the suite specified (default is unstable). Alternatively, you can specify
 a different mirror. Downloaded files can be passed directly to dpkg-cross
 using the -b or -i commands to apt-cross.

## apt-cross 0.1.0

=== debian/changelog ===
apt-cross (0.1.0) unstable; urgency=low

  * Debian release.
  * Allow all usable sources from /etc/apt/sources.list into
  ~/.dpkg-cross/sources lists. Prevents problems if the first
  entry in /etc/apt/sources.list is not a Debian mirror.

 -- Neil Williams <codehelp@debian.org>  Sun, 11 Mar 2007 15:56:57 +0000

apt-cross (0.0.7) unstable; urgency=low

  * Pass the supplied architecture value down to
    dpkg-cross. (Emdebian release.)

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Feb 2007 23:51:05 +0000

apt-cross (0.0.6) unstable; urgency=low

  * Show activity of --update explicitly to aid clarity.
  * apt-cross -u seems to be calling apt-get with incorrect arguments
    (Closes: #409387)
  * drop fakeroot usage and dependency and avoid nuisance dpkg messages
  by keeping dedicated status files.

 -- Neil Williams <codehelp@debian.org>  Fri,  2 Feb 2007 20:47:46 +0000

=== debian/control ===
Source: apt-cross
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.7.2

Package: apt-cross
Architecture: all
Depends: apt, dpkg-cross, dpkg-dev (>= 1.13.9), binutils,
 libfile-homedir-perl, libwww-perl, sudo
Description: retrieve, build and install libraries for cross-compiling
 apt-cross is intended to make it easier to locate, download, install and
 update your cross-compiling libraries, directly from the Debian archives.
 .
 By default, apt-cross uses /etc/apt/sources.list to find the current debian
 package file for the architecture specified (or dpkg-cross default) and in 
 the suite specified (default is unstable). Alternatively, you can specify
 a different mirror. Downloaded files can be passed directly to dpkg-cross
 using the -b or -i commands to apt-cross.

## apt-cross 0.7.0

=== debian/control ===
Source: apt-cross
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libxml2-utils, xsltproc,
 docbook-xsl, docbook-xml
Standards-Version: 3.7.3
Homepage: http://www.emdebian.org/
Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/apt-cross/trunk/
Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/apt-cross/trunk/

Package: apt-cross
Section: utils
Priority: extra
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross (>= 2.1.0), dpkg-dev (>= 1.14.7),
 libwww-perl, libterm-progressbar-perl, sudo, libcache-apt-perl (= ${source:Version})
Description: retrieve, build and install libraries for cross-compiling
 apt-cross is intended to make it easier to locate, download, install and
 update your cross-compiling libraries, directly from the Debian archives.
 .
 By default, apt-cross uses /etc/apt/sources.list to find the current debian
 package file for the architecture specified (or dpkg-cross default) and in
 the suite specified (default is unstable). Alternatively, you can specify
 a different mirror. Downloaded files can be passed directly to dpkg-cross
 using the -b or -i commands to apt-cross.

Package: libcache-apt-perl
Priority: extra
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libfile-homedir-perl, libapt-pkg-perl, dpkg-dev
Description: object oriented apt cache perl binding
 Contains support modules for apt-cross, Cache::Apt::Lookup, Cache::Apt::Config
 and Cache::Apt::Package, implementing an object-oriented approach to the apt
 perl bindings that are easier to use and better suited to cross-compilation
 support than AptPkg itself.
 .
 Built from NorthernCross and using code from apt-rdepends.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

build/apt-cross::
	./genmanpage
	install -d debian/apt-cross/usr/share/bug/apt-cross/
	install -m 0755 buginfo.sh debian/apt-cross/usr/share/bug/apt-cross/script
	install -d debian/libcache-apt-perl/usr/share/bug/libcache-apt-perl/
	install -m 0755 buginfo.sh debian/libcache-apt-perl/usr/share/bug/libcache-apt-perl/script

## apt-cross 0.12.0

=== Makefile ===
all:

install:
	./genmanpage

clean:
	$(RM) *tar.gz.cdbs-config_list
	$(RM) *.1 *.3

check:

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: extra
 Maintainer: Neil Williams <codehelp@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libxml2-utils, xsltproc,
- docbook-xsl, docbook-xml
-Standards-Version: 3.7.3
+Build-Depends: cdbs, debhelper (>= 5)
+Build-Depends-Indep: libxml2-utils, xsltproc, docbook-xsl, docbook-xml
+Standards-Version: 3.8.0
 Homepage: http://www.emdebian.org/
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/apt-cross/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/apt-cross/trunk/
@@ -13,13 +13,14 @@
 Section: utils
 Priority: extra
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross (>= 2.1.0), dpkg-dev (>= 1.14.7),
- libwww-perl, libterm-progressbar-perl, sudo, libcache-apt-perl (= ${source:Version})
+Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross (>= 2.1.0), 
+ dpkg-dev (>= 1.14.12), sudo,
+ libwww-perl, libterm-progressbar-perl, libcache-apt-perl (= ${source:Version})
 Description: retrieve, build and install libraries for cross-compiling
  apt-cross is intended to make it easier to locate, download, install and
  update your cross-compiling libraries, directly from the Debian archives.
  .
- By default, apt-cross uses /etc/apt/sources.list to find the current debian
+ By default, apt-cross uses /etc/apt/sources.list to find the current Debian
  package file for the architecture specified (or dpkg-cross default) and in
  the suite specified (default is unstable). Alternatively, you can specify
  a different mirror. Downloaded files can be passed directly to dpkg-cross

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

build/apt-cross::
	./genmanpage

## apt-cross 0.13.1

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Neil Williams <codehelp@debian.org>
 Build-Depends: cdbs, debhelper (>= 5)
 Build-Depends-Indep: libxml2-utils, xsltproc, docbook-xsl, docbook-xml
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Homepage: http://www.emdebian.org/
-Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/apt-cross/trunk/
-Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/apt-cross/trunk/
+Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/apt-cross/trunk/
+Vcs-Svn: http://www.emdebian.org/repos/current/host/trunk/apt-cross/trunk/
 
 Package: apt-cross
 Section: utils

## apt-cross 0.13.3

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: utils
 Priority: extra
 Maintainer: Neil Williams <codehelp@debian.org>
-Build-Depends: cdbs, debhelper (>= 5)
-Build-Depends-Indep: libxml2-utils, xsltproc, docbook-xsl, docbook-xml
-Standards-Version: 3.8.1
+Build-Depends: cdbs, debhelper (>= 5), po4a (>= 0.37.1)
+Build-Depends-Indep: docbook-xsl, docbook-xml, intltool, libxml2-utils, xsltproc
+Standards-Version: 3.8.3
 Homepage: http://www.emdebian.org/
 Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/apt-cross/trunk/
 Vcs-Svn: http://www.emdebian.org/repos/current/host/trunk/apt-cross/trunk/
 
 Package: apt-cross
-Section: utils
-Priority: extra
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, apt, dpkg-cross (>= 2.1.0), 
- dpkg-dev (>= 1.14.12), sudo,
- libwww-perl, libterm-progressbar-perl, libcache-apt-perl (= ${source:Version})
+Depends: ${perl:Depends}, ${misc:Depends}, apt (>= 0.7.20),
+ dpkg-cross (>= 2.1.0), dpkg-dev (>= 1.14.12), sudo,
+ libdebian-dpkgcross-perl (>= 2.5.5), libwww-perl,
+ libterm-progressbar-perl, libconfig-auto-perl,
+ libcache-apt-perl (= ${source:Version})
 Description: retrieve, build and install libraries for cross-compiling
  apt-cross is intended to make it easier to locate, download, install and
  update your cross-compiling libraries, directly from the Debian archives.
@@ -25,9 +25,10 @@
  the suite specified (default is unstable). Alternatively, you can specify
  a different mirror. Downloaded files can be passed directly to dpkg-cross
  using the -b or -i commands to apt-cross.
+ .
+ Includes a helper script to support the transition to multiarch.
 
 Package: libcache-apt-perl
-Priority: extra
 Section: perl
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, libfile-homedir-perl, libapt-pkg-perl, dpkg-dev

## apt-cross 0.13.4

=== Makefile ===
all:

install:
	po4a-build
	$(RM) -r doc/libcache-apt-perl/man/man1/
	$(RM) -r doc/apt-cross/man/man3/

clean:
	$(RM) *tar.gz.cdbs-config_list
	$(RM) *.1 *.3

check:

# adds the POT file to the source tarball
native-dist: Makefile
	po4a-build --pot-only

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Neil Williams <codehelp@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), po4a (>= 0.37.1)
 Build-Depends-Indep: docbook-xsl, docbook-xml, intltool, libxml2-utils, xsltproc
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://www.emdebian.org/
 Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/apt-cross/trunk/
 Vcs-Svn: http://www.emdebian.org/repos/current/host/trunk/apt-cross/trunk/
@@ -13,9 +13,9 @@
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, apt (>= 0.7.20),
  dpkg-cross (>= 2.1.0), dpkg-dev (>= 1.14.12), sudo,
- libdebian-dpkgcross-perl (>= 2.5.5), libwww-perl,
- libterm-progressbar-perl, libconfig-auto-perl,
- libcache-apt-perl (= ${source:Version})
+ libparse-debcontrol-perl, libdebian-dpkgcross-perl (>= 2.5.5),
+ libparse-debian-packages-perl, libwww-perl, libterm-progressbar-perl,
+ libconfig-auto-perl, libcache-apt-perl (= ${source:Version})
 Description: retrieve, build and install libraries for cross-compiling
  apt-cross is intended to make it easier to locate, download, install and
  update your cross-compiling libraries, directly from the Debian archives.

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,4 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
-build/apt-cross::
-	./genmanpage
+DEB_MAKE_INSTALL_TARGET=install
